--print("Setting Up Pause Menu")
clearMenu();
--menu config
--button description, lua string, title
--slider description, command, initial value

setMenuButton(menu_boxMetal);
setMenuBullet(menu_bullet);
setMenuSlider(menu_metalDark);

setBackDrop(18,16.5,50,35,menu_backdrop, 1.0);

setMenuEscape("gofile(\"mpgui/mpgui_pause.lua\")");

addMenuButton(getString("game options"), "gofile(\"menu/menu_pause.lua\")", true);
addMenuSlider(getString("mouse speed"), "mouseSense", getMouseSense());
addMenuSlider(getString("music volume"), "setMusicVol", getMusicVol());

if musicPlaying() then
addMenuButton(getString("stop music"), "stopMusic(); gofile(\"mpgui/mpgui_settings.lua\")", false);
--addMenuButton("Stop Music", " ", false);
else
addMenuButton(getString("start music"), "musicScore(true); gofile(\"mpgui/mpgui_settings.lua\")", false);
end



--addMenuButton("Save Game", "saveGame(getPlayerName()); popMenuInfo(\"Game Saved!\", \"Okay\", \"deactivateMenu()\")", false);
--addMenuButton("Load Game", "gofile(\"control.lua\");loadGame(getPlayerName())", false);
addMenuButton(getString("back"), "gofile(\"mpgui/mpgui_pause.lua\")", false);

autoSizeBackDrop();

activateMenu();